DROP TRIGGER IF EXISTS sk_prov_del;
DROP TRIGGER IF EXISTS sk_prov_add;
DROP TRIGGER IF EXISTS sk_cur_del;
DROP TRIGGER IF EXISTS sk_ob_del;
DROP TRIGGER IF EXISTS sk_srv_del;
DROP TRIGGER IF EXISTS sk_service_set_del;

CREATE TRIGGER IF NOT EXISTS sk_cur_del BEFORE DELETE ON sk_currency FOR EACH ROW
BEGIN
	DELETE FROM sk_currency_rate WHERE currency_id=OLD.currency_id;
	UPDATE sk_service_set SET currency_id=1 WHERE sk_service_set.currency_id=OLD.currency_id;
END;

CREATE TRIGGER IF NOT EXISTS sk_obj_del BEFORE DELETE ON sk_objects FOR EACH ROW
BEGIN
	UPDATE sk_objects SET resp_person=0 WHERE sk_objects.resp_person=old.obj_id;
	DELETE FROM sk_operators WHERE person_id=old.obj_id;
	UPDATE sk_operators SET resp_person=0 WHERE sk_operators.resp_person=old.obj_id;
	UPDATE sk_providers SET resp_person=0 WHERE sk_providers.resp_person=old.obj_id;
	UPDATE sk_providers SET exec_person=0 WHERE sk_providers.exec_person=old.obj_id;
	UPDATE sk_providers SET fin_person=0 WHERE sk_providers.fin_person=old.obj_id;
	UPDATE sk_providers SET adm_person=0 WHERE sk_providers.adm_person=old.obj_id;
	UPDATE sk_providers SET tech_person=0 WHERE sk_providers.tech_person=old.obj_id;
	DELETE FROM sk_providers WHERE sk_providers.obj_id=old.obj_id;
	DELETE FROM sk_accounts WHERE sk_accounts.obj_id=old.obj_id;
	DELETE FROM sk_bank_info WHERE sk_bank_info.obj_id=old.obj_id;
END;


CREATE TRIGGER IF NOT EXISTS sk_srv_del BEFORE DELETE ON sk_service FOR EACH ROW
BEGIN
	DELETE FROM sk_service_set WHERE sk_service_set.service_id=OLD.service_id;
END;

CREATE TRIGGER IF NOT EXISTS sk_prov_del BEFORE DELETE ON sk_providers FOR EACH ROW
BEGIN
	DELETE FROM sk_operators WHERE sk_operators.provider_id=OLD.provider_id;
	DELETE FROM sk_service_set WHERE sk_service_set.provider_id=OLD.provider_id;
	DELETE FROM sk_reseller_tracker WHERE sk_reseller_tracker.provider_id=OLD.provider_id;
	DELETE FROM sk_reseller_tracker WHERE sk_reseller_tracker.reseller_id=OLD.provider_id;
END;

CREATE TRIGGER IF NOT EXISTS sk_prov_add AFTER INSERT ON sk_providers WHEN NEW.role='P'
BEGIN
    INSERT INTO sk_service_set (provider_id, service_id, currency_id) VALUES (NEW.provider_id, 1, 1);
    INSERT INTO sk_accounts (obj_id, service_set_id, resp_person) VALUES(NEW.obj_id, (SELECT service_set_id FROM sk_service_set WHERE provider_id=NEW.provider_id AND service_id=1 AND currency_id=1), NEW.fin_person);
END;

CREATE TRIGGER IF NOT EXISTS sk_service_set_del BEFORE DELETE ON sk_service_set FOR EACH ROW
BEGIN
	DELETE FROM sk_accounts WHERE sk_accounts.service_set_id=OLD.service_set_id;
	DELETE FROM sk_holidays WHERE sk_holidays.provider_id=OLD.service_set_id;
END;
