
--------------
-- BASE
--------------

CREATE TABLE sk_doc (
    doc_id serial8 PRIMARY KEY,
    obj_id int8 NOT NULL default '0' CHECK (obj_id >= 0),
    service_set_id int8 NOT NULL DEFAULT '0' CHECK (service_set_id >= 0),
    operator_id int8 NOT NULL default '0' CHECK (operator_id >= 0),
    doc_date timestamp without time zone NOT NULL default CURRENT_TIMESTAMP,
    title TEXT NOT NULL default '',
    active CHAR(1) NOT NULL default 'Y' CHECK (active = 'Y' OR active = 'N'),
    "comment" TEXT,
    "template" TEXT
);

CREATE TABLE sk_vpi_sessions (
    start_sequence_id VARCHAR(64) NOT NULL DEFAULT '',
    sequence_id VARCHAR(64) NOT NULL DEFAULT '',
    ip_address INET,
    uname TEXT,
    msg TEXT,
    provider INT8 NOT NULL DEFAULT '0',
    reseller INT8 NOT NULL DEFAULT '0',
    operator INT8 NOT NULL DEFAULT '0',
    start_time TIMESTAMP WITHOUT TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP,
    stop_time TIMESTAMP WITHOUT TIME ZONE NOT NULL DEFAULT '1970-01-01 00:00',
    last_time TIMESTAMP WITHOUT TIME ZONE NOT NULL DEFAULT CURRENT_TIMESTAMP
    ) WITHOUT OIDS;

CREATE TABLE sk_blacklisted_mac (
    id serial8 PRIMARY KEY,
    mac VARCHAR(18) NOT NULL,
    active CHAR(1) NOT NULL default 'Y' CHECK (active = 'Y' OR active = 'N'),
    modify_date timestamp without time zone NOT NULL default CURRENT_TIMESTAMP
    );
