
--------------
-- BASE
--------------

CREATE TABLE sk_doc (
    doc_id integer PRIMARY KEY,
    obj_id integer NOT NULL default '0' CHECK (obj_id >= 0),
    service_set_id integer NOT NULL DEFAULT '0' CHECK (service_set_id >= 0),
    operator_id integer NOT NULL default '0' CHECK (operator_id >= 0),
    doc_date text NOT NULL default (datetime('now')),
    title TEXT NOT NULL default '',
    active TEXT NOT NULL default 'Y' CHECK (active = 'Y' OR active = 'N'),
    "comment" TEXT,
    "template" TEXT
);

CREATE TABLE sk_vpi_sessions (
    start_sequence_id TEXT NOT NULL DEFAULT '',
    sequence_id TEXT NOT NULL DEFAULT '',
    ip_address TEXT NULL,
    uname TEXT NULL,
    msg TEXT NULL,
    provider integer NOT NULL DEFAULT '0',
    reseller integer NOT NULL DEFAULT '0',
    operator integer NOT NULL DEFAULT '0',
    start_time text NOT NULL DEFAULT (datetime('now')),
    stop_time text DEFAULT '1970-01-01 00:00',
    last_time text NOT NULL DEFAULT (datetime('now'))
    );

CREATE TABLE sk_blacklisted_mac (
    id integer PRIMARY KEY,
    mac text NOT NULL,
    active text NOT NULL default 'Y' CHECK (active = 'Y' OR active = 'N'),
    modify_date text NOT NULL default (datetime('now'))
    );
