#!/bin/sh

usage() {
    echo "Usage: $0 USERNAME HOTSPOT_ADDRESS"
    exit 1
}

USERNAME=$1
[ -n "$USERNAME" ] || usage
ADDRESS=$2
[ -n "$ADDRESS" ] || usage

SECRET=$(/usr/bin/nu-getval services:radius:client:server:0:secret)
[ -n "$SECRET" ] || {
    echo "Radius does not configured"
    exit 1
}
PORT=$(/usr/bin/nu-getval x:services:cp:0:uam_port)
[ -n "$PORT" ] || {
    PORT=3990
}
PORT=$(expr $PORT - 1)
$(echo "USER-Name=$USERNAME" | /usr/bin/radclient -q -n 3 $ADDRESS:$PORT disconnect $SECRET)
exit $?
